Index · Directives · Python · libudev · gudev systemd 209

## Name

systemd-coredumpctl — Retrieve coredumps from the journal

## Synopsis

`systemd-coredumpctl` [OPTIONS...] {COMMAND} [PID|COMM|EXE|MATCH...]

## Description

systemd-coredumpctl may be used to retrieve coredumps from systemd-journald(8).

## Options

The following options are understood:

`-h`, `--help`

  Print a short help text and exit.

`--version`

  Print a short version string and exit.

`-F`, `--field=`

  Print all possible data values the specified field takes in matching coredump entries of the journal.

`-o`, `--output=FILE`

  Write the core to `FILE`.

`--no-pager`

  Do not pipe output of list into a pager.

`--no-legend`

  Do not print the column headers.

The following commands are understood:

list

  List coredumps captured in the journal matching specified characteristics.

dump

  Extract the last coredump matching specified characteristics. The coredump will be written on standard output, unless an output file is specified with `-o/--output`.

gdb

  Invoke the GNU debugger on the last coredump matching specified characteristics.

## Matching

Match can be:

`PID`

  Process ID of the process that dumped core. An integer.

`COMM`

  Name of the executable (matches `COREDUMP_COMM=`). Must not contain slashes.

`EXE`

  Path to the executable (matches `COREDUMP_EXE=`). Must contain at least one slash.

`MATCH`

  General journalctl predicates (see journalctl(1)). Must contain an equals sign.

## Exit status

On success, 0 is returned; otherwise, a non-zero failure code is returned. Not finding any matching coredumps is treated as failure.

## See Also

systemd-journald.service(8), gdb(1)